Loading...
Searching...
No Matches
itk::GPUIdentityTransformFactory2< NDimensions > Class Template Reference

`#include <itkGPUIdentityTransformFactory.h>`

## Detailed Description

template<typename NDimensions>
class itk::GPUIdentityTransformFactory2< NDimensions >

Definition at line 37 of file itkGPUIdentityTransformFactory.h.

Inheritance diagram for itk::GPUIdentityTransformFactory2< NDimensions >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = GPUIdentityTransformFactory2
using | Superclass = GPUObjectFactoryBase<NDimensions>
Public Types inherited from itk::GPUObjectFactoryBase< NDimensions >
using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = GPUObjectFactoryBase
using | Superclass = ObjectFactoryBase

## Public Member Functions

virtual const char * | GetClassName () const
const char * | GetDescription () const override
| ITK_DISALLOW_COPY_AND_MOVE (GPUIdentityTransformFactory2)
| itkFactorylessNewMacro (Self)
template<typename TType, unsigned int VImageDimension>
void | operator() ()
Public Member Functions inherited from itk::GPUObjectFactoryBase< NDimensions >
const char * | GetITKSourceVersion () const override
| ITK_DISALLOW_COPY_AND_MOVE (GPUObjectFactoryBase)
| itkStaticConstMacro (Support1D, bool, NDimensions::Support1D)
| itkStaticConstMacro (Support2D, bool, NDimensions::Support2D)
| itkStaticConstMacro (Support3D, bool, NDimensions::Support3D)
virtual void | RegisterAll ()

## Static Public Member Functions

static void | RegisterOneFactory ()

## Protected Types

using | RealTypeList = typelist::MakeTypeList<float, double>::Type

## Protected Member Functions

| GPUIdentityTransformFactory2 ()
void | Register1D () override
void | Register2D () override
void | Register3D () override
| ~GPUIdentityTransformFactory2 () override=default
Protected Member Functions inherited from itk::GPUObjectFactoryBase< NDimensions >
| GPUObjectFactoryBase ()=default
| ~GPUObjectFactoryBase () override=default

## Member Typedef Documentation

## ConstPointer

template<typename NDimensions>

using itk::GPUIdentityTransformFactory2< NDimensions >::ConstPointer = SmartPointer<const Self>

Definition at line 45 of file itkGPUIdentityTransformFactory.h.

## Pointer

template<typename NDimensions>

using itk::GPUIdentityTransformFactory2< NDimensions >::Pointer = SmartPointer<Self>

Definition at line 44 of file itkGPUIdentityTransformFactory.h.

## RealTypeList

template<typename NDimensions>

using itk::GPUIdentityTransformFactory2< NDimensions >::RealTypeList = typelist::MakeTypeList<float, double>::Type

protected

Typedef for real type list.

Definition at line 82 of file itkGPUIdentityTransformFactory.h.

## Self

template<typename NDimensions>

using itk::GPUIdentityTransformFactory2< NDimensions >::Self = GPUIdentityTransformFactory2

Definition at line 42 of file itkGPUIdentityTransformFactory.h.

## Superclass

template<typename NDimensions>

using itk::GPUIdentityTransformFactory2< NDimensions >::Superclass = GPUObjectFactoryBase<NDimensions>

Definition at line 43 of file itkGPUIdentityTransformFactory.h.

## Constructor & Destructor Documentation

## GPUIdentityTransformFactory2()

template<typename NDimensions>

itk::GPUIdentityTransformFactory2< NDimensions >::GPUIdentityTransformFactory2 | ( |  | ) |

protected

## ~GPUIdentityTransformFactory2()

template<typename NDimensions>

itk::GPUIdentityTransformFactory2< NDimensions >::~GPUIdentityTransformFactory2 | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<typename NDimensions>

virtual const char * itk::GPUIdentityTransformFactory2< NDimensions >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## GetDescription()

template<typename NDimensions>

const char * itk::GPUIdentityTransformFactory2< NDimensions >::GetDescription | ( |  | ) | const

inline override

Return a descriptive string describing the factory.

Definition at line 49 of file itkGPUIdentityTransformFactory.h.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename NDimensions>

itk::GPUIdentityTransformFactory2< NDimensions >::ITK_DISALLOW_COPY_AND_MOVE | ( | GPUIdentityTransformFactory2< NDimensions > |  | ) |

## itkFactorylessNewMacro()

template<typename NDimensions>

itk::GPUIdentityTransformFactory2< NDimensions >::itkFactorylessNewMacro | ( | Self |  | ) |

Method for class instantiation.

## operator()()

template<typename NDimensions>
template<typename TType, unsigned int VImageDimension>

void itk::GPUIdentityTransformFactory2< NDimensions >::operator() | ( |  | ) |

inline

Operator() to register override.

Definition at line 67 of file itkGPUIdentityTransformFactory.h.

## Register1D()

template<typename NDimensions>

void itk::GPUIdentityTransformFactory2< NDimensions >::Register1D | ( |  | ) |

override protected virtual

Register methods for 1D.

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## Register2D()

template<typename NDimensions>

void itk::GPUIdentityTransformFactory2< NDimensions >::Register2D | ( |  | ) |

override protected virtual

Register methods for 2D.

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## Register3D()

template<typename NDimensions>

void itk::GPUIdentityTransformFactory2< NDimensions >::Register3D | ( |  | ) |

override protected virtual

Register methods for 3D.

Reimplemented from itk::GPUObjectFactoryBase< NDimensions >.

## RegisterOneFactory()

template<typename NDimensions>

void itk::GPUIdentityTransformFactory2< NDimensions >::RegisterOneFactory | ( |  | ) |

static

Register one factory of this type.

Generated on 1768596610 for elastix by 1.15.0 |